{% extends 'security/common.html.twig' %}

{% block title %}{{ 'registration.page.title'|trans }}{% endblock %}

{% block login_form %}
    {{ form_start(registrationForm, {'method': 'POST', attr: {'class': 'w-100 mx-auto my-lg-auto p-3 bg-white rounded', 'style': 'max-width: 400px'}}) }}

    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="alert alert-{{ label }}" role="alert">{{ message }}</div>
        {% endfor %}
    {% endfor %}

    {{ form_errors(registrationForm) }}

        <h1>{{ 'registration.page.title'|trans }}</h1>
        {{ form_row(registrationForm.userName) }}
        {{ form_row(registrationForm.email) }}
        {{ form_row(registrationForm.plainPassword) }}
        {{ form_row(registrationForm.agreeTerms) }}
        {{ form_row(registrationForm.submit) }}

        <hr>

        <p class="mt-3 text-center">{{ 'registration.page.already_account' |trans }} <a href="{{ path('app_login') }}">{{ 'registration.page.login_btn'|trans }}</a></p>
    {{ form_end(registrationForm) }}
{% endblock %}
